Bug 59515 - Tyan Thunder K7 (S2462) cannot initialise IDE hard disks in UDMA mode 5
Tyan Thunder K7 (S2462) cannot initialise IDE hard disks in UDMA mode 5
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-08 20:35 EST by Roderick Constance
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 13:42:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
excerpt from dmesg (842 bytes, text/plain)
2002-02-08 20:39 EST, Roderick Constance
no flags Details
lspci (712 bytes, text/plain)
2002-02-08 20:40 EST, Roderick Constance
no flags Details
lspci -v -v of AMD IDE interface (385 bytes, text/plain)
2002-02-08 20:41 EST, Roderick Constance
no flags Details
full dmesg (10.96 KB, text/plain)
2002-02-11 13:42 EST, Roderick Constance
no flags Details

  None (edit)
Description Roderick Constance 2002-02-08 20:35:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3-xfs-101 i686)

Description of problem:
On my Tyan S2462 (using the AMD 7411), I cannot use my IDE hard disk drive in
UDMA 5 mode (Ultra 100).  If I try to set mode 5 using 'hdparm', I get the
following message in /var/log/messages:

Feb  8 17:02:36 eng130 kernel: hda: setting to mode 4, driver problems in mode
5.

The same message occurs at bootup if I edit /etc/lilo.conf to include:

append="ide0=ata66"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. hdparm -X69 /dev/hda
2.
3.
	

Actual Results:  Feb  8 17:02:36 eng130 kernel: hda: setting to mode 4, driver
problems in mode 5.

Expected Results:  # hdparm -iv /dev/hda

should show the drive using udma5, but instead shows:

DMA modes: mdma0 mdma1 mdma2 udma0 udma1 udma2 udma3 *udma4 udma5


Additional info:

I'm using the RedHat 7.2 (2.4.9-21) errata kernel.  The drives this has occured
on include:

Western Digital 100 GB: WDC WD1000BB-75CHE0
Western Digital 80 GB: WDC WD800BB-32CCB0
IBM 40 GB: IC35L040AVER07-0
Maxtor 20 GB: Maxtor 2B020H1

I'm using Ultra 100 compatible cables, and the above drives can do udma5
comfortably on other platforms.  The drives exhibit udma4 mode performance.
Comment 1 Roderick Constance 2002-02-08 20:39:53 EST
Created attachment 45037 [details]
excerpt from dmesg
Comment 2 Roderick Constance 2002-02-08 20:40:37 EST
Created attachment 45038 [details]
lspci
Comment 3 Roderick Constance 2002-02-08 20:41:35 EST
Created attachment 45039 [details]
lspci -v -v of AMD IDE interface
Comment 4 Arjan van de Ven 2002-02-09 03:21:43 EST
Could you attach the full dmesg ?
Comment 5 Arjan van de Ven 2002-02-09 04:02:57 EST
AMD7411: disabling single-word DMA support (revision < C4)
indicates that there's a workaround for a chip non-feature active.

The driver source suggest that there are problems with udma5 and that it might
be the driver's fault. Investigating
Comment 6 Roderick Constance 2002-02-11 13:42:10 EST
Created attachment 45299 [details]
full dmesg
Comment 7 Roderick Constance 2002-05-07 15:06:46 EDT
Errata 2.4.9-31 fixes the problem.  Drives now initialise and operate at UDMA5

Note You need to log in before you can comment on or make changes to this bug.